You are not logged in.

#1 2014-02-18 16:14:46

haxmeister
New member
Registered: 2014-02-18
Posts: 4

A mess trying to world update... libsoup, glib...etc

localhost joshua # emerge --update --newuse --deep @world -pv
     
    These are the packages that would be merged, in order:
     
    Calculating dependencies... done!
    [ebuild     U  ] dev-libs/libyaml-0.1.5 [0.1.4] USE="-doc -examples -static-libs {-test}" 494 kB
    [ebuild     U  ] app-text/openjade-1.3.2-r6 [1.3.2-r5] USE="-static-libs" 0 kB
    [ebuild     U  ] dev-perl/Net-SSLeay-1.558 [1.550] 390 kB
    [ebuild     U  ] dev-perl/IO-Socket-SSL-1.967.0 [1.953.0] USE="-idn" 95 kB
    [ebuild     U  ] x11-libs/xcb-util-wm-0.4.0 [0.3.9] USE="-doc -static-libs {-test}" 317 kB
    [ebuild     U  ] dev-db/sqlite-3.8.3.1:3 [3.8.2:3] USE="icu readline -debug -doc -secure-delete -static-libs -tcl {-test}" 1,879 kB
    [ebuild     U  ] net-misc/chrony-1.29.1 [1.29-r2] USE="ipv6 readline rtc -caps (-selinux)" 384 kB
    [ebuild     U  ] dev-libs/nspr-4.10.3 [4.10.2] USE="-debug" 1,079 kB
    [ebuild     U  ] sys-apps/less-462 [451] USE="pcre unicode" 501 kB
    [ebuild     U  ] dev-util/gtk-doc-am-1.20 [1.19] 629 kB
    [ebuild     UD ] dev-cpp/glibmm-2.34.1:2 [2.38.1:2] USE="-debug -doc -examples {-test}" 0 kB
    [ebuild     U  ] dev-libs/libgpg-error-1.12-r1 [1.12] USE="nls -common-lisp -static-libs" 478 kB
    [ebuild     U  ] sys-devel/flex-2.5.38 [2.5.37] USE="nls -static {-test}" 1,590 kB
    [ebuild     U  ] sys-apps/grep-2.17 [2.16] USE="nls pcre -static" 1,185 kB
    [ebuild     U  ] app-text/iso-codes-3.51 [3.45] 3,542 kB
    [ebuild     UD ] media-gfx/exiv2-0.23-r1:0/0 [0.23-r2:0/12] USE="nls zlib -contrib -doc -examples -static-libs -xmp" LINGUAS="-de -es -fi -fr -pl -ru -sk" PYTHON_SINGLE_TARGET="(-python2_6%) (-python2_7%*)" PYTHON_TARGETS="(-python2_6%) (-python2_7%*)" 0 kB
    [ebuild     U  ] www-client/lynx-2.8.8_rc1 [2.8.8_pre15] USE="bzip2 ipv6 nls ssl unicode -cjk -gnutls -idn" 2,515 kB
    [ebuild  N     ] dev-libs/libgcrypt-1.5.3:0/11  USE="-static-libs" 1,474 kB
    [ebuild  N    #] dev-libs/libgcrypt-1.6.1:0/20  USE="-static-libs" 2,413 kB
    [ebuild   R    ] dev-libs/elfutils-0.158  USE="bzip2 nls utils zlib -lzma -static-libs {-test} (-threads*)" 0 kB
    [ebuild     U  ] media-libs/gstreamer-1.2.3:1.0 [1.2.0:1.0] USE="introspection nls orc {-test}" 3,145 kB
    [ebuild     U  ] x11-misc/xkeyboard-config-2.11 [2.10.1] 899 kB
    [ebuild     U  ] dev-libs/libusb-1.0.18:1 [1.0.9-r2:1] USE="udev%* -debug -doc -examples -static-libs {-test%}" 491 kB
    [ebuild     U  ] sys-apps/man-pages-3.58 [3.57] USE="nls" LINGUAS="-da -de -fr -it -ja -nl -pl -ro -ru -zh_CN" 1,170 kB
    [ebuild     U  ] x11-libs/pango-1.36.2 [1.36.1] USE="X introspection -debug" 1,002 kB
    [ebuild     U  ] www-plugins/adobe-flash-11.2.202.336 [11.2.202.335] USE="sse2 (-debug) -kde (-selinux)" 7,066 kB
    [ebuild     U  ] dev-lang/python-2.7.6-r1001:2.7 [2.7.6-r1000:2.7] USE="gdbm ipv6 ncurses readline sqlite ssl (threads) (wide-unicode) xml (-berkdb) -build -doc -examples -tk -wininst" 0 kB
    [ebuild     U  ] dev-lang/spidermonkey-17.0.0-r2:17 [17.0.0-r1:17] USE="-debug -jit -minimal -static-libs {-test}" 0 kB
    [ebuild     U  ] media-libs/gst-plugins-base-1.2.3:1.0 [1.2.0:1.0] USE="X alsa introspection nls ogg orc pango theora vorbis -ivorbis" 2,481 kB
    [ebuild     U  ] media-libs/gst-plugins-good-1.2.3:1.0 [1.2.0:1.0] USE="nls orc" 2,812 kB
    [ebuild     U  ] media-plugins/gst-plugins-flac-1.2.3:1.0 [1.2.0:1.0] 0 kB
    [ebuild     U  ] media-plugins/gst-plugins-wavpack-1.2.3:1.0 [1.2.0:1.0] 0 kB
    [ebuild     U  ] dev-lang/python-3.3.4-r1000:3.3 [3.3.3-r1000:3.3] USE="gdbm ipv6 ncurses readline sqlite ssl (threads) xml -build -doc -examples -tk -wininst" 11,805 kB
    [ebuild   R    ] dev-libs/libxml2-2.9.1-r1000:2  USE="icu ipv6 python readline -debug -examples -lzma -static-libs {-test}" ABI_X86="(64%*) -32% (-x32)" PYTHON_ABIS="2.7 3.3 -2.6 -3.1 -3.2 (-3.4)" 0 kB
    [ebuild     U  ] sys-apps/file-5.17-r1000 [5.16-r1000] USE="python zlib -static-libs" PYTHON_ABIS="2.7 3.3 -2.6 -2.7-pypy-2.0 -3.1 -3.2 (-3.4)" 694 kB
    [ebuild     U  ] dev-python/setuptools-2.2-r1000 [2.1-r1000] PYTHON_ABIS="2.7 3.3 -2.6 -2.7-jython -2.7-pypy-2.0 -3.1 -3.2 (-3.4)" 769 kB
    [ebuild     U  ] dev-python/pycurl-7.19.3.1-r1000 [7.19.3-r1000] USE="ssl -examples {-test}" CURL_SSL="openssl -gnutls -nss" PYTHON_ABIS="2.7 3.3 -2.6 -3.1 -3.2 (-3.4)" 114 kB
    [ebuild     U  ] app-editors/nano-2.3.2-r1 [2.3.1-r1] USE="magic%* ncurses nls spell* unicode -debug -justify -minimal -slang" 1,686 kB
    [ebuild     U  ] dev-util/mdds-0.10.1:0/0.10.1 [0.7.1:0/0] 0 kB
    [ebuild     U  ] dev-util/itstool-1.2.0-r1 [1.2.0] PYTHON_SINGLE_TARGET="python2_7%* -python2_6%" PYTHON_TARGETS="python2_7%* -python2_6%" 0 kB
    [ebuild     U  ] dev-python/cython-0.20.1-r1000 [0.19.1-r1000] USE="-doc -examples -numpy" PYTHON_ABIS="2.7 3.3 -2.6 -2.7-pypy-2.0 -3.1 -3.2 (-3.4) (-2.5%) (-2.7-pypy-1.9%)" 2,499 kB
    [ebuild     U  ] media-gfx/imagemagick-6.8.8.5:0/6.8.8.5 [6.8.8.2:0/6.8.8.2] USE="X bzip2 cxx jpeg jpeg2k openmp png tiff truetype xml zlib -autotrace -corefonts -djvu -fftw -fontconfig -fpx -graphviz -hdri -jbig -lcms -lqr -lzma -opencl -openexr -pango -pdf -perl -postscript -q32 -q64 -q8 -raw -static-libs -svg {-test} -webp -wmf" 7,272 kB
    [ebuild     U  ] net-misc/youtube-dl-2014.02.17 [2014.01.30.2] USE="-offensive {-test}" PYTHON_SINGLE_TARGET="python2_7 -python2_6 -python3_3" PYTHON_TARGETS="python2_7 python3_3 -python2_6" 648 kB
    [ebuild     U  ] gnome-base/librsvg-2.40.1-r1:2 [2.39.0:2] USE="introspection -tools -vala (-gtk%*)" 494 kB
    [ebuild     U  ] net-libs/gnutls-3.2.11 [3.2.9] USE="crywrap%* cxx nls zlib -dane -doc -examples -guile -pkcs11 -static-libs {-test}" LINGUAS="-cs -de -en -fi -fr -it -ms -nl -pl -sv -uk -vi -zh_CN" 5,015 kB
    [ebuild     U  ] dev-python/numpy-1.8.0-r1001 [1.8.0-r1000] USE="-doc -lapack {-test}" PYTHON_ABIS="2.7 3.3 -2.6 -3.1 -3.2 (-3.4)" 0 kB
    [ebuild     U  ] dev-libs/liborcus-0.5.1:0/0.5 [0.3.0:0/0] USE="-static-libs" 0 kB
    [ebuild     U  ] dev-python/lxml-3.3.1-r1000 [3.3.0-r1000] USE="threads -beautifulsoup3 -doc -examples" PYTHON_ABIS="2.7 3.3 -2.6 -3.1 -3.2 (-3.4)" 3,361 kB
    [ebuild     U  ] sys-devel/llvm-3.4:0/3.4 [3.3-r1:0/3.3] USE="libffi ncurses%* python static-analyzer xml%* -clang -debug -doc -gold -multitarget -ocaml {-test} -udis86" PYTHON_TARGETS="python2_7 (-pypy2_0) -python2_6" VIDEO_CARDS="-radeon" 15,581 kB
    [ebuild     U  ] app-text/yelp-tools-3.10.0 [3.6.1] 194 kB
    [ebuild   R    ] media-libs/mesa-9.2.5  USE="classic egl gallium llvm llvm-shared-libs* nptl -bindist -debug -gbm -gles1 -gles2 -opencl -openvg -osmesa -pax_kernel -pic -r600-llvm-compiler (-selinux) -vdpau -wayland -xa -xorg -xvmc" VIDEO_CARDS="intel (-freedreno) -i915 -i965 -ilo -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi -vmware" 3 kB
    [ebuild     U #] net-libs/libsoup-2.44.2:2.4 [2.40.3:2.4] USE="introspection ssl -debug -samba {-test}" 732 kB
    [ebuild     U  ] dev-util/gtk-doc-1.20 [1.19] USE="-debug -doc -emacs -highlight {-test} -vim" PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_7 -python2_6" 0 kB
    [blocks b      ] <dev-util/gtk-doc-1.20 ("<dev-util/gtk-doc-1.20" is blocking dev-util/gtk-doc-am-1.20)
    [ebuild     U #] dev-libs/glib-2.38.2:2 [2.36.4-r1:2] USE="-debug (-fam) (-selinux) -static-libs -systemtap {-test} -utils -xattr" PYTHON_TARGETS="python2_7 -python2_6" 0 kB
    [ebuild     U  ] app-pda/ifuse-1.1.2-r1 [1.1.2] 0 kB
    [ebuild     U  ] sys-apps/dbus-1.8.0 [1.6.18-r1] USE="X -debug -doc (-selinux) -static-libs -systemd {-test}" 1,818 kB
    [ebuild     U  ] x11-misc/xdg-utils-1.1.0_rc2 [1.1.0_rc1_p20130921] USE="perl -doc" 300 kB
    [ebuild     U  ] dev-libs/dbus-glib-0.102 [0.100.2-r1] USE="-debug -doc -static-libs {-test}" 766 kB
    [ebuild     U  ] net-wireless/bluez-5.14-r1:0/3 [5.12:0/3] USE="cups obex* readline -debug (-selinux) -systemd {-test}" 1,182 kB
    [ebuild     U  ] x11-drivers/xf86-video-intel-2.99.910 [2.99.907-r1] USE="dri sna udev -debug% -glamor -uxa -xvmc" 2,029 kB
    [ebuild     U  ] net-wireless/wpa_supplicant-2.1 [2.0-r3] USE="dbus readline ssl -ap -eap-sim -fasteap -gnutls -p2p (-ps3) -qt4 (-selinux) -smartcard -wimax -wps" 2,170 kB
    [ebuild  N     ] app-misc/geoclue-0.12.99  USE="gtk -connman -geonames -gps -gsmloc -hostip -manual -networkmanager -nominatim -plazes -skyhook -static-libs -yahoo-geo" 0 kB
    [ebuild     UD ] x11-libs/gtk+-3.6.3-r3:3 [3.10.6:3] USE="X colord cups introspection (-aqua) -debug (-egl) -examples (-packagekit) {-test} -vim-syntax (-wayland) -xinerama" 0 kB
    [ebuild     U  ] app-text/ghostscript-gpl-9.10-r3 [9.10] USE="X cups dbus gtk -bindist -djvu -idn -static-libs" LINGUAS="-de -ja -ko -zh_CN -zh_TW" 5 kB
    [ebuild     UD ] gnome-base/dconf-0.14.1 [0.18.0] USE="X {-test}" 285 kB
    [ebuild     U  ] media-libs/clutter-1.12.2-r1:1.0 [1.12.2:1.0] USE="gtk introspection -debug -doc {-test}" 0 kB
    [ebuild     UD ] dev-cpp/gtkmm-3.6.0:3.0 [3.10.1:3.0] USE="X (-aqua) -doc -examples {-test} (-wayland)" 0 kB
    [ebuild     U  ] net-print/cups-filters-1.0.44 [1.0.43-r1] USE="dbus foomatic jpeg png tiff -perl -static-libs -zeroconf" 1,076 kB
    [ebuild     U  ] media-libs/clutter-gst-2.0.10:2.0 [2.0.8:2.0] USE="introspection -debug -examples" 348 kB
    [ebuild     UD ] app-crypt/libsecret-0.15-r1 [0.16] USE="crypt introspection -debug {-test} -vala" 0 kB
    [ebuild     U  ] dev-vcs/git-1.9.0 [1.8.5.3] USE="blksha1 curl gnome-keyring gpg gtk iconv nls pcre perl python threads webdav -cgi -cvs -doc -emacs -highlight -mediawiki (-ppcsha1) -subversion {-test} -tk -xinetd" PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_7 -python2_6" 5,285 kB
    [ebuild  N     ] net-libs/libsoup-gnome-2.40.3:2.4  USE="introspection -debug" 0 kB
    [ebuild  N     ] net-libs/rest-0.7.90:0.7  USE="gnome introspection {-test}" 0 kB
    [ebuild  N     ] dev-libs/libgweather-3.6.2:2/3-1  USE="introspection" 0 kB
    [ebuild  N     ] net-libs/libsocialweb-0.25.21-r1  USE="gnome introspection networkmanager vala -connman" 0 kB
    [ebuild     U  ] media-plugins/gst-plugins-pulse-1.2.3:1.0 [1.2.0:1.0] 0 kB
    [ebuild     U  ] media-video/ffdiaporama-2.1 [2.0.1] USE="-openclipart -texturemate" 32,943 kB
    [ebuild     U  ] www-client/firefox-27.0 [26.0] USE="alsa dbus gstreamer jit minimal pulseaudio -bindist -custom-cflags -custom-optimization -debug -libnotify (-pgo) (-selinux) -startup-notification -system-cairo -system-icu -system-jpeg -system-sqlite -wifi" LINGUAS="-af -ar -as -ast -be -bg -bn_BD -bn_IN -br -bs -ca -cs -csb -cy -da -de -el -en_GB -en_ZA -eo -es_AR -es_CL -es_ES -es_MX -et -eu -fa -fi -fr -fy_NL -ga_IE -gd -gl -gu_IN -he -hi_IN -hr -hu -hy_AM -id -is -it -ja -kk -km -kn -ko -ku -lt -lv -mai -mk -ml -mr -nb_NO -nl -nn_NO -or -pa_IN -pl -pt_BR -pt_PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv_SE -ta -te -th -tr -uk -vi -xh% -zh_CN -zh_TW -zu (-ak%) (-lg%) (-nso%) (-ta_LK%)" 126,195 kB
    [ebuild     U  ] dev-lang/ruby-2.0.0_p353-r1:2.0 [2.0.0_p247-r2:2.0] USE="berkdb gdbm ipv6 ncurses rdoc readline ssl -debug -doc -examples -rubytests -socks5 -tk -xemacs" 10,481 kB
    [ebuild     U  ] dev-lang/ruby-1.9.3_p484:1.9 [1.9.3_p448-r1:1.9] USE="berkdb gdbm ipv6 ncurses rdoc readline ssl yaml -debug -doc -examples -rubytests -socks5 -tk -xemacs" 9,809 kB
    [ebuild     U  ] dev-ruby/rubygems-2.0.14 [2.0.10] USE="-server {-test}" RUBY_TARGETS="ruby18 ruby19 ruby20 -jruby -ruby21%" 330 kB
    [ebuild     U  ] dev-ruby/rake-0.9.6-r1 [0.9.6] USE="-doc {-test}" RUBY_TARGETS="ruby18 ruby19 ruby20 -jruby -ruby21%" 0 kB
    [ebuild  N     ] net-libs/webkit-gtk-1.10.2-r300:3  USE="geoloc gstreamer introspection jit webgl (-aqua) -coverage -debug -spell {-test}" 0 kB
    [ebuild   R    ] dev-ruby/json-1.8.1  USE="-doc {-test}" RUBY_TARGETS="ruby18 ruby19 ruby20 -jruby -ruby21%" 0 kB
    [ebuild     U  ] dev-ruby/racc-1.4.11 [1.4.9] USE="-doc {-test}" RUBY_TARGETS="ruby18 ruby19 ruby20 -jruby -ruby21%" 111 kB
    [ebuild     U  ] dev-ruby/rdoc-4.0.1-r2 [4.0.1-r1] USE="-doc {-test}" RUBY_TARGETS="ruby18 ruby19 ruby20 -jruby -ruby21%" 0 kB
    [ebuild  N     ] net-libs/gnome-online-accounts-3.6.3  USE="gnome introspection -debug -kerberos" 0 kB
    [ebuild  N    #] dev-libs/libgdata-0.14.1:0/13  USE="gnome introspection -debug -static-libs -vala" 1,432 kB
    [ebuild  N     ] gnome-extra/evolution-data-server-3.6.4:0/40  USE="gnome-online-accounts introspection ipv6 vala weather -api-doc-extras -kerberos -ldap {-test}" 0 kB
    [ebuild  N    #] net-wireless/gnome-bluetooth-3.10.0:2/12  USE="introspection -debug" 0 kB
    [ebuild     UD ] gnome-extra/nm-applet-0.9.6.4 [0.9.6.4-r1] USE="bluetooth -gconf" 0 kB
    [ebuild     UD ] app-text/evince-3.6.1:0/evd3.4-evv3.3 [3.10.3:0/evd3.4-evv3.3] USE="gnome-keyring%* introspection nautilus postscript tiff -debug -djvu -dvi -t1lib -xps (-libsecret%)" 0 kB
    [blocks B      ] >=net-libs/libsoup-2.42 (">=net-libs/libsoup-2.42" is blocking net-libs/libsoup-gnome-2.40.3)
     
    Total: 92 packages (68 upgrades, 8 downgrades, 12 new, 4 reinstalls), Size of downloads: 285,434 kB
    Conflict: 2 blocks (1 unsatisfied)
     
     
    !!! Multiple package instances within a single package slot have been pulled
    !!! into the dependency graph, resulting in a slot conflict:
     
    dev-libs/libgcrypt:0
     
      (dev-libs/libgcrypt-1.5.3::gentoo, ebuild scheduled for merge) pulled in by
        (no parents that aren't satisfied by other packages in this slot)
     
      (dev-libs/libgcrypt-1.6.1::gentoo, ebuild scheduled for merge) pulled in by
        >=dev-libs/libgcrypt-1.2.2:0/20= required by (gnome-base/gnome-keyring-3.6.3::gentoo, installed)
        (and 2 more with the same problem)
     
    net-libs/libsoup:2.4
     
      (net-libs/libsoup-2.44.2::gentoo, ebuild scheduled for merge) pulled in by
        >=net-libs/libsoup-2.42.0:2.4[introspection?] required by (dev-libs/libgdata-0.14.1::gentoo, ebuild scheduled for merge)
     
      (net-libs/libsoup-2.40.3::gentoo, installed) pulled in by
        ~net-libs/libsoup-2.40.3[introspection?] required by (net-libs/libsoup-gnome-2.40.3::gentoo, ebuild scheduled for merge)
     
    dev-libs/glib:2
     
      (dev-libs/glib-2.38.2::gentoo, ebuild scheduled for merge) pulled in by
        >=dev-libs/glib-2.37.3:2 required by (net-wireless/gnome-bluetooth-3.10.0::gentoo, ebuild scheduled for merge)
     
      (dev-libs/glib-2.36.4-r1::gentoo, installed) pulled in by
        (no parents that aren't satisfied by other packages in this slot)
     
     
    It may be possible to solve this problem by using package.mask to
    prevent one of those packages from being selected. However, it is also
    possible that conflicting dependencies exist such that they are
    impossible to satisfy simultaneously.  If such a conflict exists in
    the dependencies of two different packages, then those packages can
    not be installed simultaneously. You may want to try a larger value of
    the --backtrack option, such as --backtrack=30, in order to see if
    that will solve this conflict automatically.
     
    For more information, see MASKED PACKAGES section in the emerge man
    page or refer to the Gentoo Handbook.

Offline

#2 2014-02-18 16:22:11

haxmeister
New member
Registered: 2014-02-18
Posts: 4

Re: A mess trying to world update... libsoup, glib...etc

it is more easily   viewable here: http://pastebin.com/2mTAw9wk
make.conf           viewable here: http://bpaste.net/show/180473/
package.mask     viewable here: http://bpaste.net/show/180474/
package.unmask               here http://bpaste.net/show/180476/
output from emerge --update --newuse --deep @world -pvt http://bpaste.net/show/Ys2IdyX3oIYcTh9XCnGT/
eselect profile list                       http://bpaste.net/show/180485/

Last edited by haxmeister (2014-02-18 16:50:26)

Offline

#3 2014-02-18 17:00:11

haxmeister
New member
Registered: 2014-02-18
Posts: 4

Re: A mess trying to world update... libsoup, glib...etc

removed libgdata and libsoup from package.unmask http://bpaste.net/show/180487/

new results from emerge --update --newuse --deep @world -pvt

http://bpaste.net/show/z58pbHlHlBvGR44EbeC7/

Angry_Vincent is zeroing in on this one quickly

Last edited by haxmeister (2014-02-18 17:03:51)

Offline

#4 2014-02-18 17:48:37

haxmeister
New member
Registered: 2014-02-18
Posts: 4

Re: A mess trying to world update... libsoup, glib...etc

some work being done to the gnome-bluetooth ebuild http://git.funtoo.org/funtoo-gnome-over … 3f1fa21337

Offline

#5 2014-02-19 07:29:07

angry_vincent
Staff
From: Ukraine
Registered: 2010-10-07
Posts: 687

Re: A mess trying to world update... libsoup, glib...etc

please, paste output of
emerge -1vat net-wireless/gnome-bluetooth gnome-base/gnome-control-center

Offline

Board footer

Powered by FluxBB